Bug 249254 - ixl(4) currently broken on 12.2-BETA1 on powerpc64
Summary: ixl(4) currently broken on 12.2-BETA1 on powerpc64
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 12.1-STABLE
Hardware: powerpc Any
: --- Affects Only Me
Assignee: Eric Joyner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-11 14:24 UTC by Piotr Kubaj
Modified: 2020-09-15 18:38 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2020-09-11 14:24:37 UTC
I noticed that ixl(4) is currently enabled in GENERIC64 on powerpc64 for 12.2-BETA1. This is a great change, however currently missing is a MFC of r358698 to fix runtime on powerpc64.

Could that be also pushed to stable/12 and then releng/12.2? Since ixl(4) is enabled anyway, could you also MFC (and then MFS) endianness fix?

BTW, I'm not sure how relevant that is, since stable/12 uses old GCC, but there are some warnings during building:
root@talos:$/usr/src/sys/modules/ixl$ make -s
In file included from /usr/src/sys/dev/ixl/ixl.h:108,
                 from /usr/src/sys/dev/ixl/ixl_pf.h:41,
                 from /usr/src/sys/dev/ixl/ixl_pf_main.c:36:
/usr/src/sys/dev/ixl/i40e_prototype.h:631: warning: redundant redeclaration of 'i40e_blink_phy_link_led' [-Wredundant-decls]
/usr/src/sys/dev/ixl/i40e_prototype.h:102: warning: previous declaration of 'i40e_blink_phy_link_led' was here
/usr/src/sys/dev/ixl/ixl_pf_main.c:50: warning: 'ixl_add_maddr' declared 'static' but never defined
/usr/src/sys/dev/ixl/ixl_pf_main.c:51: warning: 'ixl_match_maddr' declared 'static' but never defined
In file included from /usr/src/sys/dev/ixl/ixl.h:108,
                 from /usr/src/sys/dev/ixl/ixl_pf.h:41,
                 from /usr/src/sys/dev/ixl/ixl_pf_qmgr.h:36,
                 from /usr/src/sys/dev/ixl/ixl_pf_qmgr.c:36:
/usr/src/sys/dev/ixl/i40e_prototype.h:631: warning: redundant redeclaration of 'i40e_blink_phy_link_led' [-Wredundant-decls]
/usr/src/sys/dev/ixl/i40e_prototype.h:102: warning: previous declaration of 'i40e_blink_phy_link_led' was here
In file included from /usr/src/sys/dev/ixl/ixl.h:108,
                 from /usr/src/sys/dev/ixl/ixl_txrx.c:47:
/usr/src/sys/dev/ixl/i40e_prototype.h:631: warning: redundant redeclaration of 'i40e_blink_phy_link_led' [-Wredundant-decls]
/usr/src/sys/dev/ixl/i40e_prototype.h:102: warning: previous declaration of 'i40e_blink_phy_link_led' was here
In file included from /usr/src/sys/dev/ixl/ixl.h:108,
                 from /usr/src/sys/dev/ixl/ixl_pf.h:41,
                 from /usr/src/sys/dev/ixl/ixl_pf_i2c.c:35:
/usr/src/sys/dev/ixl/i40e_prototype.h:631: warning: redundant redeclaration of 'i40e_blink_phy_link_led' [-Wredundant-decls]
/usr/src/sys/dev/ixl/i40e_prototype.h:102: warning: previous declaration of 'i40e_blink_phy_link_led' was here
In file included from /usr/src/sys/dev/ixl/ixl.h:108,
                 from /usr/src/sys/dev/ixl/i40e_osdep.c:38:
/usr/src/sys/dev/ixl/i40e_prototype.h:631: warning: redundant redeclaration of 'i40e_blink_phy_link_led' [-Wredundant-decls]
/usr/src/sys/dev/ixl/i40e_prototype.h:102: warning: previous declaration of 'i40e_blink_phy_link_led' was here
In file included from /usr/src/sys/dev/ixl/ixl.h:108,
                 from /usr/src/sys/dev/ixl/if_ixl.c:35:
/usr/src/sys/dev/ixl/i40e_prototype.h:631: warning: redundant redeclaration of 'i40e_blink_phy_link_led' [-Wredundant-decls]
/usr/src/sys/dev/ixl/i40e_prototype.h:102: warning: previous declaration of 'i40e_blink_phy_link_led' was here
In file included from /usr/src/sys/dev/ixl/ixl.h:108,
                 from /usr/src/sys/dev/ixl/ixl_pf.h:41,
                 from /usr/src/sys/dev/ixl/ixl_pf_iflib.c:35:
/usr/src/sys/dev/ixl/i40e_prototype.h:631: warning: redundant redeclaration of 'i40e_blink_phy_link_led' [-Wredundant-decls]
/usr/src/sys/dev/ixl/i40e_prototype.h:102: warning: previous declaration of 'i40e_blink_phy_link_led' was here
In file included from /usr/src/sys/dev/ixl/i40e_common.c:37:
/usr/src/sys/dev/ixl/i40e_prototype.h:631: warning: redundant redeclaration of 'i40e_blink_phy_link_led' [-Wredundant-decls]
/usr/src/sys/dev/ixl/i40e_prototype.h:102: warning: previous declaration of 'i40e_blink_phy_link_led' was here
In file included from /usr/src/sys/dev/ixl/i40e_nvm.c:35:
/usr/src/sys/dev/ixl/i40e_prototype.h:631: warning: redundant redeclaration of 'i40e_blink_phy_link_led' [-Wredundant-decls]
/usr/src/sys/dev/ixl/i40e_prototype.h:102: warning: previous declaration of 'i40e_blink_phy_link_led' was here
In file included from /usr/src/sys/dev/ixl/i40e_adminq.c:39:
/usr/src/sys/dev/ixl/i40e_prototype.h:631: warning: redundant redeclaration of 'i40e_blink_phy_link_led' [-Wredundant-decls]
/usr/src/sys/dev/ixl/i40e_prototype.h:102: warning: previous declaration of 'i40e_blink_phy_link_led' was here
In file included from /usr/src/sys/dev/ixl/i40e_lan_hmc.c:40:
/usr/src/sys/dev/ixl/i40e_prototype.h:631: warning: redundant redeclaration of 'i40e_blink_phy_link_led' [-Wredundant-decls]
/usr/src/sys/dev/ixl/i40e_prototype.h:102: warning: previous declaration of 'i40e_blink_phy_link_led' was here
In file included from /usr/src/sys/dev/ixl/i40e_dcb.c:36:
/usr/src/sys/dev/ixl/i40e_prototype.h:631: warning: redundant redeclaration of 'i40e_blink_phy_link_led' [-Wredundant-decls]
/usr/src/sys/dev/ixl/i40e_prototype.h:102: warning: previous declaration of 'i40e_blink_phy_link_led' was here
Comment 1 Eric Joyner freebsd_committer 2020-09-12 00:11:13 UTC
(In reply to Piotr Kubaj from comment #0)

Ok, I'll look into it. The redeclaration error will probably be fixed by MFCing r364241 as well.
Comment 2 commit-hook freebsd_committer 2020-09-12 00:22:08 UTC
A commit references this bug:

Author: erj
Date: Sat Sep 12 00:22:02 UTC 2020
New revision: 365647
URL: https://svnweb.freebsd.org/changeset/base/365647

Log:
  MFC r358698 and r364241

  r358698: ixl: Add missing conversions from/to LE16
  r364241: Remove redeclaration found by gcc build

  Together, these should allow ixl(4) to work properly on powerpc64 and
  prevent build warnings there.

  PR:		249254
  Reported by:	pkubaj@
  MFC after:	3 days

Changes:
_U  stable/12/
  stable/12/sys/dev/ixl/i40e_prototype.h
  stable/12/sys/dev/ixl/ixl_pf_main.c
Comment 3 Eric Joyner freebsd_committer 2020-09-14 18:37:28 UTC
(In reply to Piotr Kubaj from comment #0)

Did my MFC commit fix this for you?
Comment 4 Piotr Kubaj freebsd_committer 2020-09-14 19:10:03 UTC
(In reply to Eric Joyner from comment #3)
No, it also needs to be MFS'd to releng/12.2.
Comment 5 commit-hook freebsd_committer 2020-09-14 23:49:53 UTC
A commit references this bug:

Author: erj
Date: Mon Sep 14 23:49:17 UTC 2020
New revision: 365736
URL: https://svnweb.freebsd.org/changeset/base/365736

Log:
  MFS r365647: ixl powerpc64 fixes

  PR:		249254
  Approved by:	re (gjb@)

Changes:
_U  releng/12.2/
  releng/12.2/sys/dev/ixl/i40e_prototype.h
  releng/12.2/sys/dev/ixl/ixl_pf_main.c
Comment 6 Eric Joyner freebsd_committer 2020-09-15 18:30:46 UTC
Now that it's in releng/12.2, it should be fixed now?
Comment 7 Piotr Kubaj freebsd_committer 2020-09-15 18:38:24 UTC
(In reply to Eric Joyner from comment #6)
Yes, thank you!